Subject: Re: bug#4515: 23.1.50; Reverting changes on versioned file does not revert vc modeline status

From: Stefan Monnier <[email-masked]>
Date: Wed, 23 Sep 2009 22:25:31 -0400

> Automatically checking the VC state after each save is actually
> performed if there is a vc-dired buffer for the working copy where the
> file resides. That check updates the vc-dired with the correct state of
> the saved file.

Indeed.  That requires the status info to be obtainable cheaply.

> Would you accept a patch that implements an option for checking after
> every save and updating the vc state on the modeline accordingly?

I'd consider it, yes.

        Stefan